<?php

namespace core_next;
$post_list = WordPress::getLoopPostList();
foreach ($post_list as &$item) {
    $item['sticky_html'] = '';
}
$arr['plane_name'] = 'div';
$arr['plane_class_name'] = 'post-list';

?>
<div class="post-list-warp post-list-warp-archive">
    <div class="archive-title">
        搜索内容：<?php echo get_search_query(); ?>
    </div>
    <?php
    if (count($post_list) !== 0) {
        Template::echoListTemplateHtmlByDOMDocument('post-item', $post_list, $arr, 'post_list');
    } else {
        echo '<el-empty description="哎呀，啥都没搜到"></el-empty>';
    }
    ?>
    <div class="list-footer">
        <el-pagination
            background
            layout="prev, pager, next"
            :page-count="total_page"
            :current-page="now_page"
            :hide-on-single-page="true"
            @current-change="changePage"
        >
        </el-pagination>
    </div>
</div>
